#include "DeerRender/Input.h"
#include "DeerRender/Application.h"

namespace Deer {
#ifdef DEER_RENDER
	bool Input::isKeyPressed(unsigned int key) {
		return Application::getWindow().getKeyPressed(key);
	}

	bool Input::isMouseButtonPressed(int button) {
		return Application::getWindow().getMouseButton(button);
	}

	void Input::getMousePos(float& x, float& y) {
		return Application::getWindow().getMousePos(x, y);
	}
#else
	bool Input::isKeyPressed(unsigned int key) {
		return false;
	}

	bool Input::isMouseButtonPressed(int button) {
		return false;
	}

	void Input::getMousePos(float& x, float& y) {
		return;
	}
#endif
}